Get Marketplace Search Results
curl --request GET \
--url https://api.agntdata.dev/v1/data/facebook/get_facebook_marketplace_items_listing \
--header 'Authorization: <api-key>'import requests
url = "https://api.agntdata.dev/v1/data/facebook/get_facebook_marketplace_items_listing"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.agntdata.dev/v1/data/facebook/get_facebook_marketplace_items_listing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agntdata.dev/v1/data/facebook/get_facebook_marketplace_items_listing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agntdata.dev/v1/data/facebook/get_facebook_marketplace_items_listing"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agntdata.dev/v1/data/facebook/get_facebook_marketplace_items_listing")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agntdata.dev/v1/data/facebook/get_facebook_marketplace_items_listing")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{}Facebook Marketplace Listings
Get Marketplace Search Results
This endpoint retrieves Facebook Marketplace items by entering a search term and configuring filters like π Location, π² Price Range, π Date Range, π Radius, ποΈ Category, and π Sort Orderβenabling fast, customized searches for marketplace listings.
GET
/
v1
/
data
/
facebook
/
get_facebook_marketplace_items_listing
Get Marketplace Search Results
curl --request GET \
--url https://api.agntdata.dev/v1/data/facebook/get_facebook_marketplace_items_listing \
--header 'Authorization: <api-key>'import requests
url = "https://api.agntdata.dev/v1/data/facebook/get_facebook_marketplace_items_listing"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.agntdata.dev/v1/data/facebook/get_facebook_marketplace_items_listing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agntdata.dev/v1/data/facebook/get_facebook_marketplace_items_listing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agntdata.dev/v1/data/facebook/get_facebook_marketplace_items_listing"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agntdata.dev/v1/data/facebook/get_facebook_marketplace_items_listing")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agntdata.dev/v1/data/facebook/get_facebook_marketplace_items_listing")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{}Authorizations
Query Parameters
This field specifies the condition of items to search for. Choose from the following options:
- new
- used_like_new
- used_good
- used_fair
To include multiple conditions, separate them with commas without spaces. For example, use new, used_like_new, used_good, used_fair to search for both new items and items in good used condition. Any value not in this list will result in an error.
Response
Successful response
The response is of type object.